Delete lead
curl --request DELETE \
--url https://app.famulor.de/api/user/leads/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/leads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/leads/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Lead deleted successfully"
}
{
"message": "Lead not found"
}
Delete lead
Permanently remove a lead from your Famulor account via API. Deletes all associated call data, transcripts and notes for that contact record.
DELETE
/
user
/
leads
/
{id}
Delete lead
Permanently delete a lead from your account. This action cannot be undone.
Path Parameters
integer
required
The unique identifier of the lead you want to remove
Response
string
Confirmation message indicating successful deletion
{
"message": "Lead deleted successfully"
}
{
"message": "Lead not found"
}
Notes
- Only leads that belong to your account can be deleted
- Deleting a lead also removes all associated secondary contacts
- This operation is permanent and cannot be reversed
- If the lead is currently being processed in a campaign, deletion may be prevented
Related pages: Introduction and Authentication Guide, and API Integration Examples.